function FitzhughNagumo
close all;clc;clf
figure,set(gcf,'color','w')
set(0,'defaultaxesfontsize',20)

V = [.01];
W = [.01];
dt = .01;

for t = 2 : 10000
    V(t) = (V(t-1) - (V(t-1)^3)/3 - W(t-1) + .5)*dt + V(t-1);
    W(t) = ( ( (1/12.5) * (V(t-1) + .7 - (.8*W(t-1)) ) ) * dt ) + W(t-1);
end
plot(V,'r','linewidth',2),hold on
plot(W,'b','linewidth',2)
xlabel('t')
legend('V','W')