function HL_oscillator
close all;clc;clf
figure,set(gcf,'color','w')
set(0,'defaultaxesfontsize',20)

F0 = [.01];
In = [.01];
dt = .01;

alpha_osc = 4/12.5;

for t = 2 : 10000
    F0(t) = (F0(t-1) - (F0(t-1)^3)/3 - In(t-1) + .5)*dt + F0(t-1);
    In(t) = ((alpha_osc * (F0(t-1) + .7 - (.8*In(t-1)))) * dt) + In(t-1);
end
plot(F0,'r','linewidth',2),hold on
plot(In,'b','linewidth',2)
xlabel('t')
legend('F0','In')